Retrieves the equipment_model object with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

equipment_model
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

name

Name of the equipment model

string

Required

Max length: 50

description

Description of the equipment model

string
equipment_brand_id

FK Of Equipment brand

globally unique identifier
equipment_brand_code

Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model

string
equipment_brand

Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model

equipment_brand
equipment_family_id

FK Of equipment_family

globally unique identifier
equipment_family_code

Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model

string
equipment_family

Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model

equipment_family
date_in_production_since

Date in production since

date
date_out_of_production_since

Date Out Of production since

date
date_end_support

Date end support

date
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating equipment_model

string
sales_organization

Embedded entity "sales_organization" when adding/updating equipment_model

sales_organization
replacement_period_nb_months

replacement_period_nb_months

integer
warranty_period_nb_months

warranty_period_nb_months

integer
translations

List of translation of specific field name

Collection of translation
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "fba90335-b777-4d47-b05d-40b2dbbc7307",
  "code": "sample string 2",
  "name": "sample string 3",
  "description": "sample string 4",
  "equipment_brand_id": "57e3160d-5ac4-4b8b-8768-46215d4ca1d2",
  "equipment_brand_code": "sample string 6",
  "equipment_brand": {
    "id": "b043f456-437a-4da0-baca-8b432d3b05c2",
    "name": "sample string 2",
    "code": "sample string 3",
    "sales_organization_id": "747d522a-64e2-4653-9f94-5f8f0c0c5bbf",
    "sales_organization_code": "sample string 5",
    "sales_organization": {
      "id": "e87beab0-9076-4fb7-936a-bca34cdb21c4",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "c7b20dff-3479-47c0-bdbf-4152b6c93de7",
      "db_currency_id": "39d7ed68-bb87-40c1-9b1d-bd852f6f9604",
      "db_language_id": "ef37ca9e-02bc-4c33-b786-78b5ae1b8993",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-03-27T17:33:05.9930484+00:00"
    },
    "modified_dateutc": "2026-03-27T17:33:05.9930484+00:00"
  },
  "equipment_family_id": "8bad106f-beae-49a7-9849-f5ad0d0b142e",
  "equipment_family_code": "sample string 8",
  "equipment_family": {
    "id": "c314622e-c6a4-4f1d-8fdb-61114991b1b6",
    "name": "sample string 2",
    "description": "sample string 3",
    "code": "sample string 4",
    "_parent_id": "c6b2eeae-17da-4ff8-a171-02e050a46459",
    "_parent_code": "sample string 6",
    "sales_organization_id": "aa116e88-d429-44cd-a128-b06ef14bee47",
    "sales_organization_code": "sample string 8",
    "sales_organization": {
      "id": "e87beab0-9076-4fb7-936a-bca34cdb21c4",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "c7b20dff-3479-47c0-bdbf-4152b6c93de7",
      "db_currency_id": "39d7ed68-bb87-40c1-9b1d-bd852f6f9604",
      "db_language_id": "ef37ca9e-02bc-4c33-b786-78b5ae1b8993",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-03-27T17:33:05.9930484+00:00"
    },
    "modified_dateutc": "2026-03-27T17:33:05.9930484+00:00"
  },
  "date_in_production_since": "2026-03-27T17:33:05.9930484+00:00",
  "date_out_of_production_since": "2026-03-27T17:33:05.9930484+00:00",
  "date_end_support": "2026-03-27T17:33:05.9930484+00:00",
  "sales_organization_id": "9e202a17-3a5b-486e-b7a7-9f316f4d33f4",
  "sales_organization_code": "sample string 13",
  "sales_organization": {
    "id": "e87beab0-9076-4fb7-936a-bca34cdb21c4",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "c7b20dff-3479-47c0-bdbf-4152b6c93de7",
    "db_currency_id": "39d7ed68-bb87-40c1-9b1d-bd852f6f9604",
    "db_language_id": "ef37ca9e-02bc-4c33-b786-78b5ae1b8993",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-03-27T17:33:05.9930484+00:00"
  },
  "replacement_period_nb_months": 14,
  "warranty_period_nb_months": 15,
  "translations": [
    {
      "field_name": "sample string 1",
      "language_code": "sample string 2",
      "value_translated": "sample string 3"
    },
    {
      "field_name": "sample string 1",
      "language_code": "sample string 2",
      "value_translated": "sample string 3"
    }
  ],
  "modified_dateutc": "2026-03-27T17:33:06.0086562+00:00"
}